gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Infinite scrollable area containing child widgets and/or custom drawing is similar to in that it is a "blank slate" and does not do anything but paint a blank background by default. It is different in that it supports scrolling natively (you can add it to a ), and it can contain child widgets, since it is a . However, if you are just going to draw, a is a better choice, since it has lower overhead. Gtk.Container Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void `` `` Gets the size of the scrollbar area for the . an object of type an object of type
- Method
  System.Void `` `` Sets the size of the scrollable area for the . an object of type an object of type
- Method
  System.Void `` `` `` Moves a current child of to a new position. an object of type an object of type an object of type
- Method
  System.Void `` `` `` Adds to the , at position (, ). an object of type an object of type an object of type becomes the new parent container of .
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Layout, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates a new object.
  an object of type
  an object of type
  an object of type
- Property
  System.UInt32 The width of the layout. an object of type an object of type
- Property
  Gtk.Adjustment The for the horizontal position. an object of type an object of type
- Property
  Gtk.Adjustment The for the vertical position. an object of type an object of type
- Property
  System.UInt32 The height of the layout. an object of type an object of type
- Event
  Gtk.ScrollAdjustmentsSetHandler Fired whenever the scroll adjustment units are set for this widget.
- Property
  Gdk.Window The window object for this layout widget. a
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void `` `` Default handler for the event. a a Override this method in a subclass to provide a default handler for the event.
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Method
  System.Void To be added To be added
- Method
  System.Void To be added To be added
- Method
  System.Int32 `` Get the X coordinate of a child . a child of this 's X coordinate
- Method
  System.Void `` `` Set the X coordinate of a child . a child of this 's new X coordinate
- Method
  System.Int32 `` Get the Y coordinate of a child . a child of this 's Y coordinate
- Method
  System.Void `` `` Set the Y coordinate of a child . a child of this 's new Y coordinate